# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep Class Reference

This package implements the mapping between CAS.CAD
Shape representation and AP214 Shape Representation.
The target schema is pms_c4 (a subset of AP214)
How to use this Package :
Entry point are context dependent. It can be :
MakeManifoldSolidBrep
MakeBrepWithVoids
MakeFacetedBrep
MakeFacetedBrepAndBrepWithVoids
MakeShellBasedSurfaceModel
Each of these classes call the Builder
The class tool centralizes some common informations.
.

`#include <TopoDSToStep.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeBuilderError (const TopoDSToStep_BuilderError E)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeFaceError (const TopoDSToStep_MakeFaceError E)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeWireError (const TopoDSToStep_MakeWireError E)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeEdgeError (const TopoDSToStep_MakeEdgeError E)
static Standard_EXPORT Handle_TCollection_HAsciiString | DecodeVertexError (const TopoDSToStep_MakeVertexError E)
| Returns a new shape without undirect surfaces. .
static Standard_EXPORT void | AddResult (const Handle(Transfer_FinderProcess)&FP, const TopoDS_Shape &Shape, const Handle(Standard_Transient)&entity)
| Adds an entity into the list of results (binders) for shape stored in FinderProcess .
static Standard_EXPORT void | AddResult (const Handle(Transfer_FinderProcess)&FP, const TopoDSToStep_Tool &Tool)
| Adds all entities recorded in Tool into the map of results (binders) stored in FinderProcess .

## Member Function Documentation

static Standard_EXPORT void TopoDSToStep::AddResult | ( | const Handle(Transfer_FinderProcess)& | FP,
|  | const TopoDSToStep_Tool & | Tool
| ) | `[static]`

static Standard_EXPORT void TopoDSToStep::AddResult | ( | const Handle(Transfer_FinderProcess)& | FP,
|  | const TopoDS_Shape & | Shape,
|  | const Handle(Standard_Transient)& | entity
| ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString TopoDSToStep::DecodeBuilderError | ( | const TopoDSToStep_BuilderError | E | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString TopoDSToStep::DecodeEdgeError | ( | const TopoDSToStep_MakeEdgeError | E | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString TopoDSToStep::DecodeFaceError | ( | const TopoDSToStep_MakeFaceError | E | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString TopoDSToStep::DecodeVertexError | ( | const TopoDSToStep_MakeVertexError | E | ) | `[static]`

static Standard_EXPORT Handle_TCollection_HAsciiString TopoDSToStep::DecodeWireError | ( | const TopoDSToStep_MakeWireError | E | ) | `[static]`

void TopoDSToStep::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TopoDSToStep::operator new | ( | size_t | size | ) | `[inline]`

void* TopoDSToStep::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TopoDSToStep.hxx